
// Steg2.h : main header file for the PROJECT_NAME application
//
// Written by John A deLaubenfels, https://www.adaptune.com/steg.htm .
// Permission granted to use freely in any non-fraudulent way.
//
//

#pragma once

#ifndef __AFXWIN_H__
   #error "include 'pch.h' before including this file for PCH"
#endif

#include "resource.h"      // main symbols
#include "globs.h"


// CSteg2App:
// See Steg2.cpp for the implementation of this class
//

class CSteg2App : public CWinApp
{
public:
   CSteg2App();

// Overrides
public:
   virtual BOOL InitInstance();
   stegInfo m_commonInfo;
   // std::vector<onePair> m_vcBackRatEmb;               // ratios to use when embeding
   // std::vector<onePair> m_vcBackRatExt;               // (more extensive) ratios to try when extracting.
   static void doBackgroundTasks(void *pParams);

// Implementation

   DECLARE_MESSAGE_MAP()
   virtual int ExitInstance();
   int readPresets(const char *pcFileName);
   int writePresets(const char *pcFileName);
};

extern CSteg2App theApp;
